module.exports = {
  "env": {
    "browser": true,
    "node": true,
  },
  "parser": "@typescript-eslint/parser",
  "extends": ['airbnb', 'plugin:@typescript-eslint/recommended'],
  "plugins": ['@typescript-eslint', 'prettier'],
  "settings": {
    'import/parsers': {
      '@typescript-eslint/parser': ['.ts', '.tsx'],
    },
    'import/resolver': {
      typescript: {},
    },
  },
  "rules": {
    "no-console": "off",
    "react/jsx-filename-extension": [2, { extensions: ['.js', '.jsx', '.ts', '.tsx'] }],
    "camelcase": [0, {properties: "never"}],
  }
};